Questions tagged [downgrade]

For questions about how to revert to an earlier version of a package or an earlier versions of Ubuntu.

Filter by
Sorted by
Tagged with
-2
votes
1answer
295 views

Downgrade Ubuntu 20.04 kernel from 5.4 to 3.2

Hi i need to downgrade Ubuntu kernel version to 3.2 because kernel 5.4 doesn't see my wifi driver package. I tried this command to see kernel images: uname -r But it only shows kernel versions that ...
0
votes
0answers
28 views

Downgrade cups / SAMSUNG printer error

With a recent cups update my ML-1640 printer has stopped working. A fresh post from ARCHLINUX offers a fix by downgrading to 2.3.3op1-1 from my current cups:amd64/hirsute 2.3.3op2-3ubuntu3. How can I ...
0
votes
1answer
43 views

Downgrade to tmux 2.1 on Ubuntu 20.04 LTS

So I'm trying to set up Cloud9 with a new ubuntu instance and it requires tmux 2.1 or earlier and I cannot for the life of me figure out how to downgrade from this new 3.0 version to tmux 2.1. Any ...
-1
votes
2answers
124 views

How to fix packages installed from debian sources? [closed]

For some reason that I can't explain (being dumb I guess), I have installed packages from Debian sources. I use Ubuntu 18.04. I'd like to fix my mistakes and downgrade to Ubuntu packages. What I did ...
0
votes
0answers
30 views

Why is needed to downgrade kernel and X server for old graphic drivers?

According to this How do I install ATI Radeon HD 3200 graphics driver in 12.04 64 desktop?, in order to install propietary drivers for an old ATI RADEON graphic card, its recommended to downgrade ...
0
votes
1answer
85 views

How to get back to default LTS kernel releases after manual kernel upgrade?

I ran into a hardware issue that forced me to downgrade to a lower (5.4) kernel. But after some months the issue seems fixed and the latest kernels (5.10 at this moment). My problem now is that ...
1
vote
1answer
101 views

Are ubuntu 20.10 packages compatible with ubuntu 20.04 [duplicate]

I have installed Ubuntu 20.10, since it is non LTS, I'd like to have 20.04. Problem is I have already installed lots of apt packages in my 20.10. So is it possible to reuse the apt cache in my newly ...
0
votes
0answers
108 views

Migrating MySQL 5.7 data to Ubuntu 20.04 still using MySQL 5.7

I have an Ubuntu 16.04 server I want to upgrade to Ubuntu 20.04. That comes with MySQL 8, but I am not ready for that yet. I have found examples on how to remove MySQL 8 and install MySQL 5.7, and ...
2
votes
1answer
2k views

Downgrade to kernel 5.4.0 because kernel 5.8.45 doesn't like my bluetooth controller

I had no bluetooth issues with kernel 5.4.XX until I updated to kernel 5.8.0. I can't select 5.4.XX from Grub, is not there. If I type dpkg --list | grep linux-image | grep ^ii on the terminal that's ...
1
vote
1answer
276 views

Kernel 5.8 crash on ubuntu 20.04 and ubuntu 20.10

I have had problems with the system after installing ubuntu 20.04 and 20.10, both freeze and do not let me operate, desktop, mouse ... frozen completely. I have downgraded both systems to kernel 5.4 ...
1
vote
1answer
318 views

Incorrect new kernel version installed after apt-get upgrade, how do I downgrade it?

On January 10, 2021, I performed an apt-get upgrade, then rebooted. This broke all of my sound devices. After some research, it seems that the version of ubuntu I'm running (Ubuntu 20.04.1 LTS) is ...
0
votes
0answers
75 views

Grub is not loading the default kernel

I'm running Ubuntu 20.0.41 LTS with Kernel 5.8.0-36-generic and 5.4.0-42-generic installed. For installing ROCm i need to set the default boot Kernel to 5.4 to remove 5.8. After setting it as well in ...
0
votes
2answers
231 views

Downgrade kernel by deleting new one from /boot?

I manually installed kernel 5.10.3, but now want to downgrade since I need NVIDIA's CUDA. If I delete the newer ones, will it boot from older ones - or not boot at all? (I have no physical access to ...
2
votes
0answers
4k views

20.04 how to downgrade kernel from 5.4.0-56-generic to 5.4.0-55.61

The 5.4.0-56 does not like AMD graphic driver. Based on https://www.amd.com/en/support/kb/release-notes/rn-amdgpu-unified-linux-20-45 I need to downgrade to 5.4.0-51 to install the graphic card's ...
0
votes
1answer
601 views

I have Ubuntu 20.10 with Gnome 3.38 but I want to return to Gnome 3.36

I want to return to Gnome 3.36 'cause Gnome 3.38 has given me some problems link to the problem. Is it convenient to downgrade Gnome without downgrading Ubuntu, and how can I do it?
1
vote
1answer
307 views

How to downgrade Ubuntu 16.04.7 to 16.04.6

I'm having trouble installing Xilinx Vivado 2020.1 in Ubuntu 16.04.7. The supported versions by Xilinx are: Ubuntu 16.04.5, 16.04.6 and some other non-16.04 Ubuntu point releases as shown in the ...
0
votes
0answers
155 views

Installing cuda 10.0 on fresh Ubuntu 18.04

I am trying to perform an installation of the version 10.0 of the CUDA toolkit on a fresh installation of kubuntu 18.04. My graphics card is a GTX 1660 SUPER. The CUDA toolkit 10.0 installation for ...
0
votes
0answers
103 views

How to downgrade the libmagic library in ubuntu 20.4?

I have the following problem - "File 5.38 supports only version 14 magic files. `/home/user/custom_mime/custommime.mgc' is version 13" I need to downgrade the libmagic (File) library to 5....
1
vote
1answer
315 views

Can I use Timeshift to go back to a previous release of Ubuntu?

I recently attempted an upgrade from 16.04 to 18.04. During the process I got stuck whilst comparing 2 versions of a config file. Foolishly I used ctrl+c and unknowingly aborted the upgrade. The ...
0
votes
0answers
192 views

How to downgrade Oh My Zsh from command line(Ubuntu 18.04)

I have started running into some problems with a plugin hanging on VS code after updating to the newest version of Oh My Zsh. This has apparently been a problem before for users with Oh My Zsh as ...
0
votes
0answers
43 views

Upgrade broke video device, replaced with hidraw, how to fix or revert?

For several months, until couple of weeks ago when I was distracted by other things, I have been using a video input device that takes HDMI and presents it to my computer as a USB device. This showed ...
1
vote
1answer
115 views

how to install specific version of minetest?

I upgraded an older Ubuntu computer to 20.04. Everything went well. But now the kids are telling me they cannot connect to their favourite minetest servers. The game complains about Protocol ...
1
vote
1answer
279 views

Is it possible to install an old GNOME 3 version on Ubuntu 20.04 or any other up-to-date distro?

This question may sound stupid, but I'm not to blame due to lack of experience with Linux. I am using Ubuntu 20.04 for around 3 months and got really fed up with the mediocre flat GNOME 3.36 UI. ...
0
votes
0answers
325 views

Downgrading MongoDB from 4.4 to 4.0

So I need to downgrade MongoDB from v4.4 to v4.0 on Ubuntu 16.04 Following installation instructions I've done: wget -qO - https://www.mongodb.org/static/pgp/server-4.0.asc | sudo apt-key add - then ...
0
votes
1answer
55 views

How to netinstall to a specific minor release? i.e. 16.04.2

I have a client who wants 16.04.2. We've always netinstalled 16.04.whatever the lastest in canonical's mirrors is. We keep a local mirror of Ubuntu, and normally netboot the kernel and initrd: http://...
0
votes
0answers
419 views

Downgrading gcc-7 to 7.4.0

Is it possible/easy to downgrade the gcc version in Ubuntu 18.04 from 7.5.0 to 7.4.0? The reason why I want that is because 7.5.0 introduced a new bug that is making my life more difficult than it ...
0
votes
0answers
81 views

Downgrade Openmpi 4.0.3 to 2.0.2-2

How can i degrade openmpi from 4.0.3 to 2.0.2-2. its because in order to run lights its the requirement its asking for. Also, I am getting this error when i try to wrtie make auto, its as follows ...
0
votes
0answers
62 views

Downgrading QT to mainstream version

I need to downgrade my QT from version 5.6.1 to 5.5.1. (The reason being that compilation fails for several software packages, requiring exactly version 5.5.1.) However, I cannot seem to do that, ...
1
vote
0answers
3k views

Cannot downgrade nvidia-driver-440 to nvidia-driver-430 on Ubuntu 18.04

I am using Ubuntu 18.04.2 and I updated the nvidia driver to 440 using sudo apt install nvidia-driver-440. Unfortunately, after this update, the performance that I obtain using the NVIDIA Optical ...
1
vote
0answers
149 views

Ubuntu 18.04, downgrading gcc from 8.4 to 8.3

I am in the position of using some slightly out of date build tools that refuse to work with gcc 8.4; the latest they recognize is gcc 8.3. I am using Ubuntu 18.04, and when I run apt list gcc-8 --all-...
0
votes
0answers
301 views

start Ubuntu 18.04 an error : end kernel panic -not syncing: attempted to kill init! exitcode=0x0000000b occurs by stack smashing detected

I downgraded my Ubuntu 18.10 to 18.04 today. After rebooting and logining the downgraded 18.04, I met an error as follows: Then I ran the following commands in the terminal hoping to fix it. sudo apt ...
0
votes
0answers
47 views

Downgrade a package installed from source

I'm trying to install a specific version of the library as follows, sudo apt-get install -f libvtk6.3 But, I have got an existing latest version of the same library installed in my system from ...
1
vote
1answer
53 views

A reposotory for downgrade

I'm working on Ubuntu 18.04 and I need to Downgrade some packages, but I cannot find them on /var/cache/apt/archives anymore, so I'm looking for some external Ubuntu 18.04 compliant repository able to ...
0
votes
1answer
2k views

Downgrade Ubuntu 18.04.3 kernel to original kernel

On my machine, I run Ubuntu 18.04.3 with kernel version 5.4.0-050400rc5-generic. Unfortunately, VirtualBox and the NVidia drivers seem to have an issue with this kernel version because several compile ...
1
vote
1answer
937 views

Downgrade Mariadb to 10.1 on Ubuntu 19.10

I recently upgraded my main Ubuntu install from Ubuntu 18.04 to 19.10 mainly for testing within my company to make sure the currently used software stack will be compatible come 20.04 Everything is ...
0
votes
0answers
330 views

Can't install Ubunu 18.04. ran into initramfs

I wanted to downgrade from Ubuntu 19 to 18.04. While inserting the bootable USB and trying to install again, I ran in two problems: 1.In the installation process it goes to partitioning HDD section ...
-1
votes
2answers
380 views

How to install Ubuntu LTS (18.04) on a system for which disk drivers are existing only i the most recent, non-LTS version?

I am holding in my hands a cool ASUS UX481F (ZenBook Duo) that works surprisingly well out-of-the-box (including network and disk) with Ubuntu 19.10 live USB, but the Ubuntu 18.04 both liveUSB and ...
0
votes
0answers
425 views

Can't start apache2 after downgrade php version 7.0 to 5.6 in ubuntu server 18.04

Today I just downgrade PHP version 7.0 to 5.6 by reference of this blog: now every time I put apache2 restart command sudo service apache2 start it shows Job for apache2.service failed because ...
2
votes
0answers
42 views

How to downgrade from ubuntu 19.10 to 18.04 [duplicate]

I recently upgraded to ubuntu 19.10 from 18.04 using do-release-upgrade. But now I realize that the new version consumes a lot of system resources and doesn't work properly on my machine. I want to ...
1
vote
0answers
384 views

How do I downgrade from Grub 2.04 to 2.02?

Following a reported bug in Grub 2.04, I am unable to boot to my installation of Windows 10. I can't seem to be able to access earlier versions of Grub in the eaon repositories, and I'm concerned ...
1
vote
0answers
138 views

Virtualbox not starting after downgrading kernel on my laptop

I was having graphics issues with my laptop on Xubuntu 18.04LTS with kernel 4.15.0-58-generic, so i downgraded to 3.19.0-59-generic. That fixed the graphics issues, but now virtualbox won't start ...
3
votes
1answer
2k views

How to install a package and force downgrade of all its needed dependencies

Let's say I have a package mypack. It has a ton of dependencies, that have a ton of dependencies themselves. I want to install it in one step where also all its dependencies are automatically ...
1
vote
0answers
183 views

How to downgrade poppler-utils version from 0.74 to 0.62 in ubuntu 18?

I installed poppler-utils on ubuntu 18 using the following command: apt-get install poppler-utils It automatically installed version 0.74.0. I want to downgrade it to 0.62.0. I've already followed ...
0
votes
1answer
2k views

Downgrade openmpi v2.1.1 to v2.0.2

I have installed openmpi on ubuntu 18.04.2 LTS using $sudo apt-get install libopenmpi-dev $ mpirun -version mpirun (Open MPI) 2.1.1 How can I downgrade it to v2.0.2 Thank you!
1
vote
0answers
616 views

How to go downgrade Thunderbird to older version in 18.04?,

My indispensable addons don't work in Thunderbird 60.x (Japanese popup readers rikaichan, rikaichamp, yomichan, etc.) nor in 52.x (lightning calendar) so I want to downgrade to an even older version ...
0
votes
0answers
548 views

How to downgrade PHP 7.1?

Recently I've upgraded my Ubuntu from 18.04 LTS to 18.10. This also upgraded my PHP 7.1 to this version: PHP 7.1.28-1+ubuntu18.04.1+deb.sury.org+3. Now I have to downgrade to PHP 7.1.27 due to 7.1.28 ...
38
votes
1answer
83k views

Downgrading Java 11 to java 8? [duplicate]

How can i downgrade the java version 11 to java 8. As i need jenkins, current jenkins versoin doesn't support java 11. I need to downgrade.
1
vote
1answer
1k views

Downgrade to 4.13 or upgrade to 4.18 from 4.15 kernel

I had Ubuntu 16.04 with kernel 4.4 but I need TCP BBR and I read that TCP BBR is present in kernel since version 4.9 so I installed the following: sudo apt install --install-recommends linux-generic-...
0
votes
0answers
109 views

Prevent upgrading of ubuntu 16.04 to 18.04 [duplicate]

So, new here so... I downgraded my ubuntu drive from 18.04 to 16.04 (For tensorflow 1.12 and cuda 9. Had to downgrade.) My question is how would I keep it at 16, so that I can use 'sudo apt-get ...
1
vote
1answer
931 views

How to rollback to an older kernel on 16.04/purge kernel automatically installs new one?

unattended-upgrade recently automatically upgrade my kernel to 4.4.0-143 but it does not work with Nvidia graphic cards so I decided to roll back to previous version. I am able to boot to an older ...

1
2 3 4 5
7